*{
    padding: 0;
    margin: 0;
    list-style: none;
    text-decoration: none;
    font-family:Arial, Helvetica, sans-serif;
    border: none;
    box-sizing: border-box;
}
body{
    background-color: #f9fafc;
    overflow-x: hidden;
}
/* header */
header{
    background-color: #fdfffe;
    padding-top: 15px;
}
header .container-head{
    width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
}
.icon-header .icons i{
    background-color: #5b36f8;
    color: white;
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    font-size: 20px;
    box-shadow: 1px 1px 3px  #5b36f8;
}
.icon-header{
    display: flex;
    gap: 10px;
}
.txt-head h2 span{
    color: #5b36f8;
}
.txt-head h2{
    font-size: 25px;
    font-weight: bold;
    margin: 0;
}
.txt-head p{
    font-size: 14px;
    color: #85888f;
}
.adduser{
    display: flex;
    gap: 20px;
    align-items: center;
}
header .adduser img{
    width: 40px;
    border-radius: 10px;
}
.adduser button{
    background-color: #5b36f8;
    color: white;
    padding: 8px 14px;
    font-size: 14px;
    border-radius: 10px;
    font-weight: bold;
    box-shadow: 1px 1px 3px  #5b36f8;
}
.adduser button:hover{
    transform: translateY(-5px);
    box-shadow: 1px 4px 8px #5b36f8;
}
.fa-bell ,.fa-gear{
    color: #85888f;
    width: 30px;
    height: 30px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.fa-bell:hover,.fa-gear:hover{
    background-color: rgb(228, 228, 228);
    color: rgb(85, 85, 85);
}
/* responsive */
@media (min-width:320px) and (max-width:1245px) {
    header .container-head{
        width: 95%;
        margin: auto;
    }
}
@media (min-width:320px) and (max-width:639px) {
    .adduser i.fa-bell,
    .adduser i.fa-gear,
    .txt-head p,
    button span
    {
        display: none;
    }
    .adduser{
        gap: 10px;
    }
    button{
        white-space: nowrap;
    }
}
/* end header section */
/* start Home section */
.container-home{
    width: 80%;
    margin:auto ;
}
/* styling icon at all */
.Home i,.name,.infoUser .user-name p,.person i{
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-weight: bold;
    border-radius: 15px;
}
/* styling card */
.Home .card-body .cardIcon i{
    width: 50px;
    height: 50px;
}
.fa-users{
    background-color: #1966fe;
    box-shadow: 1px 1px 5px #1966fe ;
}
.cardIcon .fa-star,.top-fav .fa-star{
    background-color: #ff8600;
    box-shadow: 1px 1px 5px #ff8600 ;
}
.cardIcon .fa-heart-pulse,.emergency .fa-heart-pulse{
    background-color: #f00029;
    box-shadow: 1px 1px 5px  #f00029;
}
.Home .card{
    border: none;
    border-radius: 10px;
    border: 1px solid rgb(232, 232, 232);
}
.Home .card:hover{
    box-shadow: 1px 1px 15px rgb(229, 229, 229);
}
.Home .card-body{
    display: flex;
    gap: 20px;
    align-items: center;
}
.Home h6+p{
    font-weight: bold;
    font-size: 25px;
    margin: 0;
}
.Home h6 ,.top-heading h1+p,.filter-contact p,.textUser p{
    color: #6e717b;
    font-size: 14px;
}
.allcontact{
    display: flex;
    gap: 20px;
}

@media (min-width:320px) and (max-width:988px){
    .allcontact{
        flex-direction: column;
        gap: 20px;
    }
}
@media (min-width:640px) and (max-width:988px) {
    .calls {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
}
}

.top-heading h1{
    font-weight: bold;
    font-size: 30px;
}
.search-contact form input
,.style-input input
,.style-input select
{
    width: 100%;
    padding: 15px 30px;
    border-radius: 10px;
    border: 1px solid rgb(226, 226, 226);
    outline: none;
}
.search-contact form input:focus,
.style-input input:focus
,.style-input select:focus
{
    box-shadow: 1px 1px 5px #a97bff;
        border: 1px solid #752bfe;
}
.searching{
    position: relative;
}
.searching i{
    position: absolute;
    left: 0;
    bottom: 50%;
    transform: translateY(50%);
    padding: 10px 15px;
    color: #6e717b;
}
.search-contact {
    flex: 2.5;
}
.filter-contact {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
/* styling fav & emergency contacts */
.favourite .top-fav,.top-emergency{
    background-color: #fff9ed;
    padding: 15px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    display: flex;
    align-items: center;
    gap: 10px;
}
.top-emergency{
    background-color: #fef2f2;
}
.top-fav i,.top-emergency i{
    width: 40px;
    height: 40px;
}
.contain-fav ,.contain-emergency{
    background-color: white;
    padding: 20px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}
/* styling card for calls */
.calls .contain-calling{
    background-color: #f9fafc;
    border-radius: 10px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
}
.calls .contain-name,.info-user{
    display: flex;
    align-items: center; 
    gap: 15px;
}
.contain-name .name{
    background-color: #8d3dff;
    width: 40px;
    height: 40px;
}
.txt-name h5 ,.textUser h5,.filter-contact h4{
    font-size: 16px;
    font-weight: bold;
}
.calls i{
    width: 30px;
    height: 30px;
    font-size: 14px;
    border-radius: 10px;
}
.contain-fav i.fa-phone{
    background-color: #d0fae4;
    color: #019461;
}
.contain-fav .contain-calling:hover i{
    background-color: #019461;
    color: white;
}
.contain-fav .contain-calling:hover{
    background-color: #fff9ee;
}
.contain-emergency i,.fiter-calls{
    background-color: #fce3e3;
    color: #da0943;
}
.contain-emergency .contain-calling:hover i{
    background-color: #da0943;
    color: white;
}
.contain-emergency .contain-calling:hover{
    background-color: #fff1f1;
}

.txt-name h5,
.txt-name p,
.top-fav h4,.top-fav p,
.top-emergency h4 ,.top-emergency p
,.textUser h5
{
    margin: 0;
    line-height: 1.2;
}
/* styling adding cards */
.infoUser .user-name p{
    background-color: #a97bff;
    width: 55px;
    height: 55px;
}
.iconsCall{
    background-color: #fafbfd;
    padding: 10px;
}
.textUser i{
    background-color: #d9ecff;
    color: #3863dd;
}
#information-user i{
    width: 25px;
    height: 25px;
    font-size: 12px;
    border-radius: 5px;
}
.email-user i,.iconsCall i.fa-envelope{
    background-color: #eaeff7;
    color: #7e2de7;
}
.location i,.friends,.iconsCall i.fa-phone{
    background-color: #d1f9e6;
    color: #039964;
}
.fiter-calls i{
    color: #da0943;
}
.user-type ,.fiter-calls{
    font-size: 14px;
    padding: 2px 5px;
    border-radius: 10px;
}
/*  user-type styling for each word */
.other{
    background-color:#f3f4f6 ;
    color: #353637;
}
.work{
    background-color:#f3e8ff ;
    color: #7b30ba;
}
.family,.iconsCall i.fa-pen:hover{
    background-color: #e0e8fe;
    color: #4b62e3;
}
.school{
    background-color: #fbf6bc;
    color: #b08147;
}
.iconsCall i{
    font-size: 14px;
    width: 35px;
    height: 35px;
    border-radius: 8px;
    cursor: pointer;
}
abbr{
    all:unset !important;
}
.iconsCall i.fa-pen,
.iconsCall i.fa-trash,
.iconsCall i.fa-star,
.iconsCall i.fa-heart
{
    color: #6e717b;
}
/* hover icons */
.iconsCall i.fa-trash:hover{
    color: #da0943;
    background-color: #fce3e3;
}
.iconsCall i.fa-heart:hover{
    color: #da0943;
    background-color: #fff1f1;
}
.iconsCall i.fa-star:hover{
    color: #f6bb10;
    background-color: #f9efef;
}

.iconsCall i.fa-solid.fa-star{
    color:#f6bb10 ;
}

.iconsCall i.fa-solid.fa-heart-pulse{
    color:#da0943 ;
}
/* styling icon up the username */
.user-name{
    position: relative;
}
.user-name i{
    width: 20px;
    height: 20px;
    border-radius: 50% !important;
    border: 1px solid white;
}
.user-name .fa-star{
    background-color: #f6bb10;
    position: absolute;
    top: -10px;
    right: -3px;
}
.user-name .fa-heart-pulse{
    background-color: #da0943;
    position: absolute;
    bottom: 10px;
    right: -3px;
}
/* styling form to add cards */
#lightBox{
    background-color: white;
    padding: 20px;
    width: 40%;
    margin: auto;
    border-radius: 15px;
    overflow-y: scroll;
    width: 100%;
    max-width: 600px; 
    max-height: 90vh; 
}
#lightBox::-webkit-scrollbar {
    width: 0px;
    background: transparent; 
}

#lightBoxContainer {
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    padding: 30px;
    z-index: 99999;
}

#lightBox .closeform{
    border-bottom: 1px solid gainsboro;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
/* styling photo */
.form-photo .person i{
    background-color:#2879ff;
    width: 85px;
    height: 85px;
    border-radius: 50%;
    font-size: 25px !important;
}
.form-photo  label{
    background-color: #f5f3f6;
    border-radius: 10px;
    padding: 10px;
    cursor: pointer;
}
.form-photo  label i{
    color:#7a7c7e ;
}
.form-photo label{
    color: #545559;
    font-size: 15px;
}
.style-input input,.style-input select{
    padding: 10px !important;
}
.fa-asterisk {
    font-size: 8px;
    color: #e73063;
}
#lightBox .style-input label{
    font-weight: 600;
    font-size: 15px;
}
input[type="checkbox"] {
    width: 20px;
    height: 20px;
}
label[for="fav"] i{
    color: rgb(255, 196, 48);
}
label[for="emerg"] i{
    color: #f82760;
}
/* styling form button */
.btn-form button{
    padding: 10px;
    border-radius: 10px;
    font-weight: bold;
}
button.cancel{
    flex:1;
    background-color: #f3f4f6;
}
button.save-Contact,button.updateBtn{
    flex: 1;
    background-color: #5637f7;
    color: white;
}
/* hover btn */
button.save-Contact:hover,
button.updateBtn:hover
{
    box-shadow: 1px 1px 5px #5637f7 ;
}
.fa-xmark{
    cursor: pointer;
}
span.searchValue{
    color: red;
}